Bug 207098 - Thunderbird segfaults in nsAddrDatabase::GetRowFromAttribute while scanning imap server
Thunderbird segfaults in nsAddrDatabase::GetRowFromAttribute while scanning i...
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: thunderbird (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
Depends On:
  Show dependency treegraph
Reported: 2006-09-19 09:05 EDT by Alexander Boström
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-04-09 09:55:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 344197 None None None Never

  None (edit)
Description Alexander Boström 2006-09-19 09:05:13 EDT
Description of problem:
Thunderbird segfaults while scanning the IMAP server, after the password has
been entered.

Version-Release number of selected component (if applicable):

How reproducible:
Always on some Thunderbird profiles, never on other.

Steps to Reproduce:
1. Start thunderbird using an affected profile.
2. Open the INBOX on the IMAP server.
3. Enter password.
4. Wait a little while.

Additional info:
I'm pretty sure this is the same as an upstream Mozilla bug I just found, so I
attached a backtrace and wrote some comments there instead. Also referencing the
Comment 1 Matěj Cepl 2008-02-08 15:43:01 EST
Since this bugzilla report was filed, we have seriously upgraded Gecko-related
packages, which may have resolved this issue. Users who have experienced this
problem are encouraged to upgrade their system to the latest version of their
distribution available.

Please, confirm to us that this bug is reproducible on the latest upgrade of the
supported distribution (that's RHEL, or Fedora 7, 8, and Rawhide).

Setting the bug to NEEDINFO. If I won't get confirmation of reproducability in
30 days, the bug will be closed as INSUFFICIENT_DATA.

[This is mass-changing of bugs which seem to be too old and irrelevant anymore;
we are sorry, if this bug should not be incldued.]
Comment 2 Matěj Cepl 2008-04-09 09:55:22 EDT
Since there are insufficient details provided in this report for us to
investigate the issue further, and we have not received feedback to the
information we have requested above, we will assume the problem was not
reproducible, or has been fixed in one of the updates we have released for the
reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest
update of their distribution, and if this issue turns out to still be
reproducible in the latest update, please reopen this bug with additional


[This is a mass-closing request, if you think that this bug shouldn't be closed,
please, reopen with additional information.]

Note You need to log in before you can comment on or make changes to this bug.